import request from "@/utils/request";
import { Account_BaseUrl } from "@/api/config";
const baseURL = Account_BaseUrl + "/admin/shopUser";
const API = {
  // 获取店铺用户概述信息
  getSummary(data: getSummaryRequest) {
    return request({
      url: `${baseURL}/summary`,
      method: "get",
      params: data
    });
  },
  getList(data: getListRequest) {
    return request({
      url: `${baseURL}`,
      method: "get",
      params: data
    });
  },
  edit(shopId: string | number, data: editRequest) {
    return request({
      url: `${baseURL}`,
      method: "put",
      data: data,
      headers: {
        shopId: shopId
      }
    });
  },
  // 店铺用户余额修改
  editMoney(shopId: string | number, data: editMoneyRequest) {
    return request({
      url: `${baseURL}/money`,
      method: "put",
      data: data,
      headers: {
        shopId: shopId
      }
    });
  },
  add(shopId: string | number, data: addRequest) {
    return request({
      url: `${baseURL}`,
      method: "post",
      data: data,
      headers: {
        shopId: shopId
      }
    });
  },
  // 获取店铺用户详情
  get(params: getRequest) {
    return request({
      url: `${baseURL}/detail`,
      method: "get",
      params
    });
  },
  //获取店铺用户充值记录
  flow(params: getRequest) {
    return request({
      url: `${baseURL}/flow`,
      method: "get",
      params
    });
  },
  //获取店铺用户详情
  vipInfo(params: getRequest) {
    return request({
      url: `${baseURL}/detail`,
      method: "get",
      params
    });
  },
  // 导出
  export(params: any) {
    return request({
      url: `${baseURL}/export`,
      method: "get",
      params,
      responseType: 'blob'
    });
  },
}
export default API;
export interface getRequest {
  /**
   * 会员用户id 对应shopUserId
   */
  id?: number;
  /**
   * 用户id 不传递id则按照userId和当前shopId查询 对应userId
   */
  userId?: string;
  [property: string]: any;
}
export interface getSummaryRequest {
  /**
   * 0 非vip 1 vip
   */
  isVip?: number;
  [property: string]: any;
}
export interface getListRequest {
  /**
   * 0 非vip 1 vip
   */
  isVip?: number;
  /**
   * 昵称或手机号
   */
  key?: string;
  [property: string]: any;
}

/**
 * ShopUserEditDTO
 */
export interface editRequest {
  /**
   * 生日
   */
  birthDay?: null | string;
  /**
   * 对应shopUserid
   */
  id: number | null;
  /**
   * 昵称
   */
  nickName?: null | string;
  /**
   * 性别 0女 1男
   */
  sex?: number | null;
  [property: string]: any;
}

/**
 * ShopUserMoneyEditDTO
 */
export interface editMoneyRequest {
  /**
   * 对应shopUserid
   */
  id: number | null;
  /**
   * 浮动金额
   */
  money: number | null;
  /**
   * 备注
   */
  remark?: null | string;
  /**
   * 0减少 1增加
   */
  type: number | null;
  [property: string]: any;
}

/**
 * ShopUserAddDTO
 */
export interface addRequest {
  /**
   * 账户积分
   */
  accountPoints?: number | null;
  /**
   * 钱包余额
   */
  amount?: number | null;
  /**
   * 会员生日
   */
  birthDay?: null | string;
  /**
   * 用户头像
   */
  headImg?: null | string;
  /**
   * 是否会员，
   */
  isVip?: number | null;
  /**
   * 用户昵称
   */
  nickName: null | string;
  /**
   * 电话号码
   */
  phone: null | string;
  /**
   * 0-女 1男
   */
  sex?: number | null;
  /**
   * 用户Id
   */
  userId: number | null;
  [property: string]: any;
}